Clock
=====

Clock is an applet for use in a ROX-Filer panel or pinboard.  It
tells the time.  It can also be run as a stand-alone program.

Compilation and Installation
----------------------------

To compile the program, simply run it from ROX-Filer (or run 
Clock/AppRun --compile).  You will need these libraries
  * GTK+ 2.x
  * libxml2
  * ROX-CLib 2.0

The program may be run from any location.  To install it, simply copy the 
application directory.

Usage
-----

Click mouse button 3 on the window to access a pop-up menu.  From this
you have five options:

 * Info         - Display information on the program

 * Configure... - Sets up the clock face display options

 * Alarms...    - Simple alarm clock facility

 * Close        - Close the current window.  If it is the only window then
                  the program quits.

 * Quit         - Quits the program.

The user-defined format for the text below the clock face is in
strfime(3) format.  Consult the man page for that function to find out
how to set up various formats.

When re-scheduling a repeating alarm with the option "Follow timezone"
set then when the time zone changes, due to daylight savings changes,
Clock will attempt to correct the alarm time.  Otherwise it will go
off an hour early/late.  This facility is not well tested (because it
only happens twice a year!).

If you have multiple copies of Clock running (say one in a window and
one on a panel) and an alarm is due to go off then each copy of Clock
will display the alarm.  Normally multiple copies are avoided (using
remote operation, see below) unless overridden on the command line.

There are four command line options:
  -n    Run new copy, don't contact server.
  -r    Replace server.
  -h    Print help message and exit
  -v    Print version information and exit

Clock functions as a server for remote operation.  When it is run it
tries to contact a running version of itself for the current X
display.  If it finds one it sends a SOAP request to open a new window
and exits if sucessful.  If there is no server it establishes itself
as the server and opens the new window.

The SOAP request to open a window is:
<?xml version="1.0"?>
<env:Envelope xmlns:env="http://www.w3.org/2001/12/soap-envelope">
  <env:Body xmlns="http://www.kerofin.demon.co.uk/rox/Clock">
    <Open>
      <Parent>XID</Parent>
    </Open>
  </env:Body>
</env:Envelope>

The <Parent> element is optional and is the XID of a window to use as
a parent window (for applet mode).

The latest version is at http://www.kerofin.demon.co.uk/rox/

-- 
Stephen Watson 
stephen@kerofin.demon.co.uk
